
:root {
    --primary: #1E60AA;
    --secondary: #FF4917;
    --light: #EDF1FC;
    --dark: #0936eb;
}

.fw-medium {
    font-weight: 600 !important;
}

.back-to-top {
    position: fixed;
    display: none;
    right: 45px;
    bottom: 45px;
    z-index: 99;
}




#spinner {
    opacity: 0;
    visibility: hidden;
    transition: opacity .5s ease-out, visibility 0s linear .5s;
    z-index: 99999;
}

#spinner.show {
    transition: opacity .5s ease-out, visibility 0s linear 0s;
    visibility: visible;
    opacity: 1;
}
.service-carousel {
    display: flex;
    flex-wrap: wrap;
}

.service-card {
    flex: 1 1 300px; 
    display: flex;
    flex-direction: column; 
    justify-content: space-between; 
    min-height: 350px; 
    margin: 15px; 
}




.btn {
    font-weight: 600;
    transition: .5s;
}

.btn.btn-primary,
.btn.btn-secondary {
    color: #FFFFFF;
}

.btn-square {
    width: 38px;
    height: 38px;
}

.btn-sm-square {
    width: 32px;
    height: 32px;
}

.btn-lg-square {
    width: 48px;
    height: 48px;
}

.btn-square,
.btn-sm-square,
.btn-lg-square {
    padding: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: normal;
}


/*** Navbar ***/
.top-bar {
    height: 75px;
    padding: 0 4rem;
}

.nav-bar {
    position: relative;
    padding: 0 4.75rem;
    transition: .5s;
    z-index: 9999;
}

.nav-bar.sticky-top {
    position: sticky;
    padding: 0;
    z-index: 9999;
}

.navbar .dropdown-toggle::after {
    border: none;
    content: "\f107";
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    vertical-align: middle;
    margin-left: 8px;
}

.navbar-light .navbar-nav .nav-link {
    margin-right: 30px;
    padding: 25px 0;
    color: var(--dark);
    font-size: 15px;
    font-weight: 600;
    text-transform: uppercase;
    outline: none;
}

.navbar-light .navbar-nav .nav-link:hover,
.navbar-light .navbar-nav .nav-link.active {
    color: var(--primary);
}

@media (max-width: 991.98px) {
    .nav-bar {
        padding: 0;
    }

    .navbar-light .navbar-nav .nav-link  {
        margin-right: 0;
        padding: 10px 0;
    }

    .navbar-light .navbar-nav {
        margin-top: 1rem;
        padding-top: 1rem;
        border-top: 1px solid #EEEEEE;
    }
}

@media (min-width: 992px) {
    .navbar .nav-item .dropdown-menu {
        display: block;
        border: none;
        margin-top: 0;
        top: 150%;
        opacity: 0;
        visibility: hidden;
        transition: .5s;
    }

    .navbar .nav-item:hover .dropdown-menu {
        top: 100%;
        visibility: visible;
        transition: .5s;
        opacity: 1;
    }
}
.service-card {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    min-height: 500px; 
    padding: 20px;
    background-color: #f8f9fa;
}

.service-card h4 {
    flex-grow: 1; 
}

.service-card ul {
    flex-grow: 1; 
    list-style-type: none;
    padding-left: 0;
    margin-bottom: 7px; 
}
.service-card ul li {
    margin-bottom: 1.9px;
}

.service-button {
    margin-top: auto; 
}

.service-card p {
    margin-bottom: 8px;
}

.logo img {
    max-width: 49%; 
    height: auto;    
}
.facts {
    position: relative;
    margin: 6rem 0;
    background: var(--dark);
}

.header-carousel .container,
.page-header .container {
    position: relative;
    padding: 45px 0 45px 35px;
    border-left: 15px solid #FFFFFF;
}

.header-carousel .container::before,
.header-carousel .container::after,
.page-header .container::before,
.page-header .container::after {
    position: absolute;
    content: "";
    top: 0;
    left: 0;
    width: 100px;
    height: 15px;
    background: #FFFFFF;
}

.header-carousel .container::after,
.page-header .container::after {
    top: 100%;
    margin-top: -15px;
}

@media (max-width: 768px) {
    .header-carousel .owl-carousel-item {
        position: relative;
        min-height: 500px;
    }
    
    .header-carousel .owl-carousel-item img {
        position: absolute;
        width: 100%;
        height: 100%;
        object-fit: cover;
    }

    .header-carousel .owl-carousel-item h5,
    .header-carousel .owl-carousel-item p {
        font-size: 14px !important;
        font-weight: 400 !important;
    }

    .header-carousel .owl-carousel-item h1 {
        font-size: 30px;
        font-weight: 600;
    }
}

.header-carousel .owl-nav {
    position: absolute;
    top: 50%;
    right: 8%;
    transform: translateY(-50%);
    display: flex;
    flex-direction: column;
}

.header-carousel .owl-nav .owl-prev,
.header-carousel .owl-nav .owl-next {
    margin: 7px 0;
    width: 45px;
    height: 45px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #FFFFFF;
    background: transparent;
    border: 1px solid #FFFFFF;
    border-radius: 45px;
    font-size: 22px;
    transition: .5s;
}

.header-carousel .owl-nav .owl-prev:hover,
.header-carousel .owl-nav .owl-next:hover {
    background: var(--primary);
    border-color: var(--primary);
}

.page-header {
    background: linear-gradient(rgba(0, 0, 0, .4), rgba(0, 0, 0, .4)), url(../img/bg.jpg) center center no-repeat;
    background-size: cover;
}

.breadcrumb-item + .breadcrumb-item::before {
    color: white;
}

.breadcrumb-item li{
    color:#EEEEEE;
}
.breadcrumb-item {
    color: white !important;
}


.breadcrumb-item.active {
    color: white !important;
}


.breadcrumb-item a {
    color: white !important;
    text-decoration: none; 
}

.breadcrumb-item a:hover {
    color: #ddd; 
}

.fact {
    background: linear-gradient(rgba(0, 0, 0, .4), rgba(0, 0, 0, .4)), url(../img/12) center center no-repeat;
    background-size: cover;
}



.service-item-top img {
    transition: .5s;
}

.service-item-top:hover img {
    transform: scale(1.1);
}

.service-carousel .owl-dots {
    margin-top: 24px;
    display: flex;
    align-items: flex-end;
    justify-content: center;
}

.service-carousel .owl-dot {
    position: relative;
    display: inline-block;
    margin: 0 5px;
    width: 15px;
    height: 15px;
    background: var(--primary);
    border: 5px solid var(--light);
    transition: .5s;
}

.service-carousel .owl-dot.active {
    background: var(--light);
    border-color: var(--primary);
}
.service-title {
    color: #f9f7f5; 
    font-size: 1.5rem;
}

.service-list {
    color: #ffffff; 
}

.service-list li {
    color: #fcfbfb; 
}






.video .btn-play {
    position: relative;
    box-sizing: content-box;
    display: block;
    width: 32px;
    height: 44px;
    border-radius: 50%;
    border: none;
    outline: none;
    padding: 18px 20px 18px 28px;
    margin-bottom: 4rem;
}

.video .btn-play:before {
    content: "";
    position: absolute;
    z-index: 0;
    left: 50%;
    top: 50%;
    transform: translateX(-50%) translateY(-50%);
    display: block;
    width: 100px;
    height: 100px;
    background: #FFFFFF;
    border-radius: 50%;
    animation: pulse-border 1500ms ease-out infinite;
}

.video .btn-play:after {
    content: "";
    position: absolute;
    z-index: 1;
    left: 50%;
    top: 50%;
    transform: translateX(-50%) translateY(-50%);
    display: block;
    width: 100px;
    height: 100px;
    background: #FFFFFF;
    border-radius: 50%;
    transition: all 200ms;
}

.video .btn-play img {
    position: relative;
    z-index: 3;
    max-width: 100%;
    width: auto;
    height: auto;
}

.video .btn-play span {
    display: block;
    position: relative;
    z-index: 3;
    width: 0;
    height: 0;
    border-left: 32px solid var(--primary);
    border-top: 22px solid transparent;
    border-bottom: 22px solid transparent;
}

@keyframes pulse-border {
    0% {
        transform: translateX(-50%) translateY(-50%) translateZ(0) scale(1);
        opacity: 1;
    }

    100% {
        transform: translateX(-50%) translateY(-50%) translateZ(0) scale(1.5);
        opacity: 0;
    }
}

#videoModal {
    z-index: 99999;
}

#videoModal .modal-dialog {
    position: relative;
    max-width: 800px;
    margin: 60px auto 0 auto;
}

#videoModal .modal-body {
    position: relative;
    padding: 0px;
}

#videoModal .close {
    position: absolute;
    width: 30px;
    height: 30px;
    right: 0px;
    top: -30px;
    z-index: 999;
    font-size: 30px;
    font-weight: normal;
    color: #FFFFFF;
    background: #000000;
    opacity: 1;
}

.bootstrap-datetimepicker-widget.bottom {
    top: auto !important;
}

.bootstrap-datetimepicker-widget .table * {
    border-bottom-width: 0px;
}

.bootstrap-datetimepicker-widget .table th {
    font-weight: 500;
}

.bootstrap-datetimepicker-widget.dropdown-menu {
    padding: 10px;
    border-radius: 2px;
}

.bootstrap-datetimepicker-widget table td.active,
.bootstrap-datetimepicker-widget table td.active:hover {
    background: var(--primary);
}

.bootstrap-datetimepicker-widget table td.today::before {
    border-bottom-color: var(--primary);
}


/*** Team ***/
.team-item img {
    transition: .5s;
}

.team-item:hover img {
    transform: scale(1.1);
}

.team-item .team-text {
    height: 90px;
    overflow: hidden;
}

.team-item .team-text .bg-light,
.team-item .team-text .bg-primary {
    position: relative;
    height: 90px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    transition: .5s;
}

.team-item .team-text .bg-primary {
    flex-direction: row;
}

.team-item:hover .team-text .bg-light {
    margin-top: -90px;
}

.team-item .team-text .bg-primary .btn {
    color: var(--primary);
    background: #FFFFFF;
}

.team-item .team-text .bg-primary .btn:hover {
    color: #FFFFFF;
    background: var(--secondary)
}


/*** Testimonial ***/
.testimonial-carousel .owl-item .testimonial-text,
.testimonial-carousel .owl-item.center .testimonial-text * {
    position: relative;
    transition: .5s;
}

.testimonial-carousel .owl-item.center .testimonial-text {
    background: var(--primary) !important;
}

.testimonial-carousel .owl-item.center .testimonial-text * {
    color: #FFFFFF !important;
}

.testimonial-carousel .owl-item .testimonial-text::after {
    position: absolute;
    content: "";
    width: 0;
    height: 0;
    left: 50%;
    bottom: -30px;
    transform: translateX(-50%);
    border: 15px solid;
    border-color: var(--light) transparent transparent transparent;
    transition: .5s;

}

.testimonial-carousel .owl-item.center .testimonial-text::after {
    border-color: var(--primary) transparent transparent transparent;
}

.testimonial-carousel .owl-nav {
    position: absolute;
    width: 350px;
    bottom: 100px;
    left: 50%;
    transform: translateX(-50%);
    display: flex;
    justify-content: space-between;
    opacity: 0;
    transition: .5s;
    z-index: 1;
}

.testimonial-carousel:hover .owl-nav {
    width: 300px;
    opacity: 1;
}

.testimonial-carousel .owl-nav .owl-prev,
.testimonial-carousel .owl-nav .owl-next {
    font-size: 30px;
    color: var(--primary);
}

.testimonial-carousel .owl-nav .owl-prev:hover,
.testimonial-carousel .owl-nav .owl-next:hover {
    color: var(--dark);
}


/*** Footer ***/
.footer .btn.btn-social {
    margin-right: 5px;
    width: 35px;
    height: 35px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--light);
    border: 1px solid #FFFFFF;
    border-radius: 35px;
    transition: .3s;
}

.footer .btn.btn-social:hover {
    color: var(--primary);
}

.footer .btn.btn-link {
    display: block;
    margin-bottom: 5px;
    padding: 0;
    text-align: left;
    color: #FFFFFF;
    font-size: 15px;
    font-weight: normal;
    text-transform: capitalize;
    transition: .3s;
}

.footer .btn.btn-link::before {
    position: relative;
    content: "\f105";
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    margin-right: 10px;
}

.footer .btn.btn-link:hover {
    letter-spacing: 1px;
    box-shadow: none;
}

.footer .copyright {
    padding: 25px 0;
    font-size: 15px;
    border-top: 1px solid rgba(256, 256, 256, .1);
}

.footer .copyright a {
    color: var(--light);
}
.col-6 img {
    padding: 10px; }


@media (min-width: 992px) {
    .col-6 img {
        padding: 5px; 
    }
}
.d-flex.align-items-center {
    flex-wrap: wrap; 
}


@media (max-width: 576px) {
    .ms-3 {
        margin-left: 0;
        margin-top: 10px; 
    }

    .col-sm-6 {
        margin-bottom: 15px;
    }
}

h5 {
    word-wrap: break-word; 
}
p {
    word-wrap: break-word; 
    overflow-wrap: break-word; 
    word-break: break-all; 
    max-width: 100%; 
}

.d-inline-flex {
    align-items: center; 
}
p {
    white-space: nowrap;
    overflow: hidden;   
    max-width: 100%;    
}

.d-inline-flex {
    align-items: center; 
}

@media (max-width: 992px) {
    .d-inline-flex {
        flex-direction: column; 
        text-align: center; 
    }

    .d-inline-flex i {
        margin-bottom: 10px;
    }
}
@media (min-width: 1200px) {
    .col-xl-6 {
        flex: 0 0 65%; 
        max-width: 65%;
    }
}
@media (max-width: 100px) {
    .container {
        padding: 2px;
    }

    .row {
        flex-direction: column;
        align-items: start;
    }

    .col-lg-3, .col-md-6 {
        max-width: 100%;
        padding: 2px;
    }

    h5, p, a {
        font-size: 10px; 
    }

    .btn-square {
        padding: 2px;
        width: 20px;
        height: 20px;
    }

    .btn-square i {
        font-size: 8px;
    }
}

@media (max-width: 100px) {
    .container p {
        font-size: 8px;
        line-height: 1;
        margin-bottom: 0px; 
        text-align: left; }

    .container .fa {
        font-size: 8px;
        margin-right: 3px; 
    }

    .container {
        padding: 0; 
    }
}

@media (max-width: 80px) {
    .container p {
        font-size: 6px; 
        line-height: 1; 
        margin-bottom: 0;
        text-align: left;
        white-space: nowrap; 
        overflow: hidden; 
       
    }

    .container .fa {
        font-size: 6px; 
        margin-right: 2px; 
    }

    .container {
        padding: 0; 
    }

    .d-flex.pt-3 a {
        padding: 2px; 
        margin-right: 1px; 
    }
}

@media (max-width: 386px) {
    .container p {
        font-size: 12px; 
        line-height: 1.2; 
        margin-bottom: 8px; 

    .container .fa {
        font-size: 12px; 
        margin-right: 5px; 
    }

    
    @media (max-width: 300px) {
        .container p {
            font-size: 10px; 
            line-height: 1.1; 
            white-space: nowrap; 
             
            overflow: hidden; 
        }

        .container .fa {
            font-size: 10px; 
        }
    }
}
@media (max-width: 386px) {
    .container p {
        font-size: 12px;
        line-height: 1.2;
        word-wrap: break-word;
    }
}

@media (max-width: 300px) {
    .container p {
        font-size: 10px;
        line-height: 1.1;
        white-space: nowrap;
        overflow: hidden;
        
    }
}



}
.contact-details {
    display: flex;
    flex-direction: column;
    align-items: center; 
    text-align: center; 
    margin-bottom: 30px; 
}

@media (max-width: 576px) {
    .address-text {
        font-size: 0.85rem;
        text-align: center; 
        line-height: 1.5; }
}
.footer p {
    white-space: normal; 
    overflow: visible;   
   
}
.team-item .position-relative {
    height: 300px; /* Set the desired fixed height */
    overflow: hidden; /* Crop any extra part of the image */
}

.team-item img {
    width: 100%;
    height: 100%;
    /* Ensures the image covers the container without distortion */
    object-position: center; /* Centers the cropped area */
}
.about-us-paragraph {
    white-space: normal; /* Allows wrapping */
    overflow: visible;   /* Ensures no overflow clipping */
    text-overflow: initial; /* Disables ellipsis */
}


